Subject: bug#41910: 26.3; xclip (wl-copy/Wayland) doesn't copy from Emacs Client

From: [email-masked]
Date: Mon, 29 Jun 2020 19:32:14 +0200

Am 17.06.20 um 16:24 schrieb Eli Zaretskii:
>> From: [email-masked]
>> Date: Wed, 17 Jun 2020 10:31:55 +0200
>>
>> I'm using xclip 1.10 under Wayland and I use `wl-clipboard` [0] to copy
>> and paste.
>>
>> When I connect a client to the Emacs daemon, I cannot copy text from a
>> buffer to outside Emacs (be it a GTK application or another shell). To
>> copy and paste text from a buffer:
>>
>> - I start selecting text with `C-space` then arrow keys to extend the
>> selection
>>
>> - I copy the selection with `C-w`
>>
>> - I paste the selection outside Emacs with whatever works (shift+ctrl+v,
>>
>> - shift+ins, ctrl+v, ecc.)
>>
>> If I start `emacs` directly the above workflow works just fine.
> 
> Please tell how you invoke emacsclient in those cases.
> 
> Also, if you disable xclip and don't use wl-clipboard, does the
> problem go away?
> 
> Thanks.
> 

Hello, thanks for the reply.

> Please tell how you invoke emacsclient in those cases.

I use this alias:

alias em='emacsclient -t'

> Also, if you disable xclip and don't use wl-clipboard, does the
> problem go away?

If I start emacs in Fundamental mode (emacs -q) which I believe should
disable any package, I observe:

- I cannot copy from Emacs and paste into a GTK application
- I can copy from a GTK application and paste into Emacs
- Yank and Kill-ring-save work inside Emacs

Hope it helps, sorry if my wording is not correct, feel free to ask more
details.

Regards,